Bug 331062 - Kleopatra doesn't report accessibility information through the QT accessibility infra structure
Summary: Kleopatra doesn't report accessibility information through the QT accessibili...
Status: RESOLVED FIXED
Alias: None
Product: kleopatra
Classification: Applications
Component: general (show other bugs)
Version: 2.2.0
Platform: Microsoft Windows Microsoft Windows
: NOR major (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-12 19:03 UTC by Heiko Folkerts
Modified: 2014-08-15 12:16 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Folkerts 2014-02-12 19:03:57 UTC
When using a screen reader like NVDA www.nvda-project.org one cannot nteract with kleopatra. The controls are not recognized and have no label. So a screen reader user doesn't know what the button etc. is about that has the focus.

The problem can be solved by providing the following properties for all GUI elements:
- accessible_name - the caption of the control
- accessible_description - a kind of tooltip explaining the control further
- accessible_role - this is only needed if the controls don't inherit from the QT base control classes.

In addition the folder accessibility from the plugins folder of the QT libraries (containing a few DLLs) have to be installed in the application folder so QT finds the accessibility plugin libs when a screen reader is in use.

Fixing this bug would enable blind people to use gnupg especially gpg4win.



Reproducible: Always

Steps to Reproduce:
1.run the screen reader and open up Kleopatra. Tabbing arround will not give helpful speech output from the screen reader.
2.
3.


Expected Results:  
Helpful descriptions about the controls so one can operate the application without seeing the screen.
Comment 1 Emanuel Schütze 2014-03-27 09:20:41 UTC
Thanks for your important bug report! That's helps to understand what developers can do to improve Kleopatra for visually impaired people. Is there anybody who has time to do it?
Comment 2 Emanuel Schütze 2014-08-04 08:30:11 UTC
We currently working on this issue and release this week a new public Gpg4win 2.2.2-beta version which gets all the provided accessibility information.
Comment 3 Andre Heinecke 2014-08-11 09:29:32 UTC
Git commit 86a268920cc7385cba33f46577325bde94faf51a by Andre Heinecke.
Committed on 11/08/2014 at 09:26.
Pushed by aheinecke into branch 'KDE/4.14'.

Improve certificate creation wizard accessibility

    If a line edit and it's label are buddies qt-accessibility
    can provide screenreaders with better information what
    a user should input now.

M  +1    -0    kleopatra/newcertificatewizard/newcertificatewizard.cpp

http://commits.kde.org/kdepim/86a268920cc7385cba33f46577325bde94faf51a
Comment 4 Andre Heinecke 2014-08-11 12:41:41 UTC
Git commit ac229d2213619345c7148f11a9732bb1ce2890a7 by Andre Heinecke.
Committed on 11/08/2014 at 12:38.
Pushed by aheinecke into branch 'KDE/4.14'.

Improve resultpage accessibility

    Improve the focus handling in the resultdialog. Do not focus
    the outer scroll area but instead the individual results.
    This also makes the details selecatable and adds keyboard
    interaction to the links so that the details can be toggled
    by just using the keyboard.

M  +6    -0    kleopatra/crypto/gui/resultitemwidget.cpp
M  +1    -0    kleopatra/crypto/gui/resultlistwidget.cpp

http://commits.kde.org/kdepim/ac229d2213619345c7148f11a9732bb1ce2890a7
Comment 5 Emanuel Schütze 2014-08-15 12:16:17 UTC
Fixed in current Gpg4win 2.2.2-beta version (released 2014-08-14).